# PhasicFlow: src/Particles/SphereParticles/sphereParticles/sphereParticlesKernels.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

sphereParticlesKernels.cpp File Reference
Include dependency graph for sphereParticlesKernels.cpp:

Go to the source code of this file.

## Typedefs

using | policy = Kokkos::RangePolicy< pFlow::DefaultExecutionSpace, Kokkos::Schedule< Kokkos::Static >, Kokkos::IndexType< pFlow::uint32 > >

## Typedef Documentation

## policy

using policy = Kokkos::RangePolicy< pFlow::DefaultExecutionSpace, Kokkos::Schedule<Kokkos::Static>, Kokkos::IndexType<pFlow::uint32> >

Definition at line 25 of file sphereParticlesKernels.cpp.